<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: container  YAHOO.widget.OverlayManager   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Container&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_container.html">container</a>
                 &gt; YAHOO.widget.OverlayManager 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.OverlayManager</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        OverlayManager is used for maintaining the focus status of multiple Overlays.* @namespace YAHOO.widget
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.OverlayManager</strong>
                                <code>
                                    (
  
                                        
                                                
                                                overlays

                                                , 
                                                userConfig
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>overlays
                                                    &lt;Array&gt; 
                                                    </code>
                                                    	Optional. A collection of Overlays to register with the manager.
                                                </dd>
                                                <dd>
                                                    <code>userConfig
                                                    &lt;Object&gt; 
                                                    </code>
                                                    		The object literal representing the user configuration of the OverlayManager
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="activeOverlay">activeOverlay</a>
                                        <code>- private YAHOO.widget.Overlay</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The currently activated Overlay
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="cfg">cfg</a>
                                        <code>- YAHOO.util.Config</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The OverlayManager's Config object used for monitoring configuration properties.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="contructor">contructor</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The class's constructor function
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="overlays">overlays</a>
                                        <code>- YAHOO.widget.Overlay[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The array of Overlays that are currently registered
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.OverlayManager.CSS_FOCUSED">YAHOO.widget.OverlayManager.CSS_FOCUSED</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The CSS class representing a focused Overlay
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="blurAll">blurAll</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>blurAll</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes focus from all registered Overlays in the manager
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="compareZIndexDesc">compareZIndexDesc</a></h4>
                                    <div class="detail">
                                        <code>
                                         private 
                                        
                                        
                                        Number
                                            <strong>compareZIndexDesc</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Used for sorting the manager's Overlays by z-index.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>0, 1, or -1, depending on where the Overlay should fall in the stacking order.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="find">find</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        YAHOO.widget.Overlay
                                            <strong>find</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Attempts to locate an Overlay by instance or ID.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;YAHOO.widget.Overlay&gt;</code>
                                                            		An Overlay to locate within the manager
                                                        </dd>
                                                        <dd>
                                                            <code>overlay &lt;String&gt;</code>
                                                            		An Overlay id to locate within the manager
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        YAHOO.widget.Overlay
                                                    </code></dt>
                                                    <dd>The requested Overlay, if found, or null if it cannot be located.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focus">focus</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focus</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Focuses the specified Overlay
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;YAHOO.widget.Overlay&gt;</code>
                                                            	The Overlay to focus
                                                        </dd>
                                                        <dd>
                                                            <code>overlay &lt;String&gt;</code>
                                                            	The id of the Overlay to focus
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getActive">getActive</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        YAHOO.widget.Overlay
                                            <strong>getActive</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns the currently focused Overlay
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        YAHOO.widget.Overlay
                                                    </code></dt>
                                                    <dd>The currently focused Overlay</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="hideAll">hideAll</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>hideAll</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Hides all Overlays in the manager.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         overlays
                                                    
                                                
                                                        , 
                                                         userConfig
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the OverlayManager
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlays &lt;YAHOO.widget.Overlay[]&gt;</code>
                                                            	Optional. A collection of Overlays to register with the manager.
                                                        </dd>
                                                        <dd>
                                                            <code>userConfig &lt;Object&gt;</code>
                                                            		The object literal representing the user configuration of the OverlayManager
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initDefaultConfig">initDefaultConfig</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initDefaultConfig</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the default configuration of the OverlayManager
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="register">register</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Boolean
                                            <strong>register</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Registers an Overlay or an array of Overlays with the manager. Upon registration, the Overlay receives functions for focus and blur, along with CustomEvents for each.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;YAHOO.widget.Overlay&gt;</code>
                                                            		An Overlay to register with the manager.
                                                        </dd>
                                                        <dd>
                                                            <code>overlay &lt;YAHOO.widget.Overlay[]&gt;</code>
                                                            		An array of Overlays to register with the manager.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Boolean
                                                    </code></dt>
                                                    <dd>True if any Overlays are registered.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="remove">remove</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>remove</strong>
                                           (
                                                
                                                        
                                                         overlay
                                                    
                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes the specified Overlay from the manager
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>overlay &lt;YAHOO.widget.Overlay&gt;</code>
                                                            	The Overlay to remove
                                                        </dd>
                                                        <dd>
                                                            <code>overlay &lt;String&gt;</code>
                                                            	The id of the Overlay to remove
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="showAll">showAll</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>showAll</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Shows all Overlays in the manager.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representation of the object.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd>The string representation of the OverlayManager</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>





                        <div class="section field details">
                            <h3><a name="field_detail">Configuration Attributes</a></h3>
                            <div class="content">
                                    <h4><a name="focusevent">focusevent</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The default DOM event that should be used to focus an Overlay
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: "mousedown"
                                    </div>        

                                    <hr />
                                    <h4><a name="overlays">overlays</a>
                                        <code>- YAHOO.widget.Overlay[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The collection of registered Overlays in use by the OverlayManager
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />

                            </div>
                        </div>


			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class="selected"><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Config.html">YAHOO.util.Config</a></li>
                                <li class=""><a href="YAHOO.util.KeyListener.html">YAHOO.util.KeyListener</a></li>
                                <li class=""><a href="YAHOO.widget.ContainerEffect.html">YAHOO.widget.ContainerEffect</a></li>
                                <li class=""><a href="YAHOO.widget.Dialog.html">YAHOO.widget.Dialog</a></li>
                                <li class=""><a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a></li>
                                <li class=""><a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a></li>
                                <li class="selected"><a href="YAHOO.widget.OverlayManager.html">YAHOO.widget.OverlayManager</a></li>
                                <li class=""><a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a></li>
                                <li class=""><a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a></li>
                                <li class=""><a href="YAHOO.widget.Tooltip.html">YAHOO.widget.Tooltip</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Config.js.html">Config.js</a></li>
                                <li class=""><a href="ContainerEffect.js.html">ContainerEffect.js</a></li>
                                <li class=""><a href="Dialog.js.html">Dialog.js</a></li>
                                <li class=""><a href="KeyListener.js.html">KeyListener.js</a></li>
                                <li class=""><a href="Module.js.html">Module.js</a></li>
                                <li class=""><a href="Overlay.js.html">Overlay.js</a></li>
                                <li class=""><a href="OverlayManager.js.html">OverlayManager.js</a></li>
                                <li class=""><a href="Panel.js.html">Panel.js</a></li>
                                <li class=""><a href="SimpleDialog.js.html">SimpleDialog.js</a></li>
                                <li class=""><a href="Tooltip.js.html">Tooltip.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#activeOverlay">activeOverlay</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#cfg">cfg</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#contructor">contructor</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#overlays">overlays</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.OverlayManager.CSS_FOCUSED">YAHOO.widget.OverlayManager.CSS_FOCUSED</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#blurAll">blurAll</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#compareZIndexDesc">compareZIndexDesc</a>
                                </li>
                                <li><!--<code>YAHOO.widget.Overlay</code>-->
                                <a href="#find">find</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focus">focus</a>
                                </li>
                                <li><!--<code>YAHOO.widget.Overlay</code>-->
                                <a href="#getActive">getActive</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#hideAll">hideAll</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initDefaultConfig">initDefaultConfig</a>
                                </li>
                                <li><!--<code>Boolean</code>-->
                                <a href="#register">register</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#remove">remove</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#showAll">showAll</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>


                    <div class="module">
                        <h4>Configuration Attributes</h4>
                        <ul class="content">        
                                <li>
                                <a href="#focusevent">focusevent</a>
                                </li>
                                <li>
                                <a href="#overlays">overlays</a>
                                </li>
                        </ul>
                    </div>

            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
